Bug 171507 - [NEW PORT] devel/py-posix_ipc: POSIX IPC for Python - Semaphores, Shared Memory and Message Queues
[NEW PORT] devel/py-posix_ipc: POSIX IPC for Python - Semaphores, Shared Memo...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sofian Brabez
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 14:30 UTC by koobs.freebsd
Modified: 2013-02-04 23:30 UTC (History)
0 users

See Also:


Attachments
.shar (1.59 KB, text/plain)
2012-09-09 14:30 UTC, koobs.freebsd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description koobs.freebsd 2012-09-09 14:30:09 UTC
posix_ipc gives access to POSIX inter-process semaphores, shared memory and
message queues on systems that support the POSIX Realtime Extensions a.k.a.
POSIX 1003.1b-1993.

WWW:	http://semanchuk.com/philip/posix_ipc/

==[QA]==

portlint: WARN: Makefile: only one MASTER_SITE configured
redports: https://redports.org/buildarchive/20120909120613-19238/

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2012-09-09 14:30:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Sofian Brabez freebsd_committer 2012-10-08 15:29:43 UTC
Responsible Changed
From-To: freebsd-python->sbz

I'll take it.
Comment 3 dfilter freebsd_committer 2013-02-04 23:29:28 UTC
Author: sbz
Date: Mon Feb  4 23:29:20 2013
New Revision: 311656
URL: http://svnweb.freebsd.org/changeset/ports/311656

Log:
  posix_ipc is a Python module (written in C) that permits creation and
  manipulation of POSIX inter-process semaphores, shared memory and message queues
  on platforms supporting the POSIX Realtime Extensions a.k.a. POSIX 1003.1b-1993.
  
  WWW: http://semanchuk.com/philip/posix_ipc/
  
  PR:		ports/171507
  Submitted by:	Kubilay Kocak <koobs.freebsd@gmail.com>

Added:
  head/devel/py-posix_ipc/
  head/devel/py-posix_ipc/Makefile   (contents, props changed)
  head/devel/py-posix_ipc/distinfo   (contents, props changed)
  head/devel/py-posix_ipc/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Mon Feb  4 23:24:39 2013	(r311655)
+++ head/devel/Makefile	Mon Feb  4 23:29:20 2013	(r311656)
@@ -3525,6 +3525,7 @@
     SUBDIR += py-ply
     SUBDIR += py-pmock
     SUBDIR += py-polib
+    SUBDIR += py-posix_ipc
     SUBDIR += py-pp
     SUBDIR += py-pqueue
     SUBDIR += py-prettytable

Added: head/devel/py-posix_ipc/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-posix_ipc/Makefile	Mon Feb  4 23:29:20 2013	(r311656)
@@ -0,0 +1,20 @@
+# Created by: Kubilay Kocak <koobs.freebsd@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	posix_ipc
+PORTVERSION=	0.9.4
+CATEGORIES=	devel python
+MASTER_SITES=	http://semanchuk.com/philip/posix_ipc/
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	koobs.freebsd@gmail.com
+COMMENT=	POSIX IPC primitives for Python
+
+LICENSE=	BSD
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=	yes
+
+PLIST_FILES=	%%PYTHON_SITELIBDIR%%/posix_ipc.so
+
+.include <bsd.port.mk>

Added: head/devel/py-posix_ipc/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-posix_ipc/distinfo	Mon Feb  4 23:29:20 2013	(r311656)
@@ -0,0 +1,2 @@
+SHA256 (posix_ipc-0.9.4.tar.gz) = 313da91eadbcea13f58eb6d329c6ec2c398715e3962f282fdac5f8132311ed25
+SIZE (posix_ipc-0.9.4.tar.gz) = 74661

Added: head/devel/py-posix_ipc/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-posix_ipc/pkg-descr	Mon Feb  4 23:29:20 2013	(r311656)
@@ -0,0 +1,5 @@
+posix_ipc is a Python module (written in C) that permits creation and
+manipulation of POSIX inter-process semaphores, shared memory and message queues
+on platforms supporting the POSIX Realtime Extensions a.k.a. POSIX 1003.1b-1993.
+
+WWW: http://semanchuk.com/philip/posix_ipc/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Sofian Brabez freebsd_committer 2013-02-04 23:30:35 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!